HEAPTRACK_PRINT(1)

NAME
heaptrack_print - heap memory profiler for linux, print utility

DESCRIPTION
heaptrack_print - analyze heaptrack data files.

heaptrack is a heap memory profiler which records information about calls to heap allocation functions such as malloc, operator new etc. pp. This print utility can then be used to analyze the generated data files.

OPTIONS

-f [ --file ] arg
    The heaptrack data file to print.

-d [ --diff ] arg
    Find the differences to this file.

-t [ --shorten-templates ] [=arg(=1)] (=1)
    Shorten template identifiers.

-m [ --merge-backtraces ] [=arg(=1)] (=1)
    Merge backtraces. NOTE: the merged peak consumption is not correct.

-p [ --print-peaks ] [=arg(=1)] (=1)
    Print backtraces to top allocators, sorted by peak consumption.

-a [ --print-allocators ] [=arg(=1)] (=1)
    Print backtraces to top allocators, sorted by number of calls to allocation functions.

-T [ --print-temporary ] [=arg(=1)] (=1)
    Print backtraces to top allocators, sorted by number of temporary allocations.

-l [ --print-leaks ] [=arg(=1)] (=0)
    Print backtraces to leaked memory allocations.

-o [ --print-overall-allocated ] [=arg(=1)] (=0) Print top overall allocators, ignoring memory frees.

-n [ --peak-limit ] [=arg(=10)] (=10)
    Limit the number of reported peaks.

-s [ --sub-peak-limit ] [=arg(=5)] (=5)
    Limit the number of reported backtraces of merged peak locations.

-H [ --print-histogram ] arg
    Path to output file where an allocation size histogram will be written to.

-F [ --print-flamegraph ] arg
    Path to output file where a flame-graph compatible stack file will be written to. To visualize the resulting file, use flamegraph.pl from https://github.com/brendangregg/FlameGraph:

heaptrack_print heaptrack.someapp.PID.gz -F stacks.txt
    # optionally pass --reverse to flamegraph.pl flamegraph.pl --title "heaptrack: allocations" --colors mem \

--countname allocations < stacks.txt > heaptrack.someapp.PID.svg
    [firefox|chromium] heaptrack.someapp.PID.svg

-M [ --print-massif ] arg
    Path to output file where a massif compatible data file will be written to.

--massif-threshold arg (=1)
    Percentage of current memory usage, below which allocations are aggregated into a 'below threshold' entry. This is only used in the massif output file so far.

--massif-detailed-freq arg (=2)
    Frequency of detailed snapshots in the massif output file. Increase this to reduce the file size. You can set the value to zero to disable detailed snapshots.

--filter-bt-function arg
    Only print allocations where the backtrace contains the given function.

-h [ --help ]
    Show this help message.

-v [ --version ]
    Displays version information.

SEE ALSO
The full documentation for heaptrack_print is maintained as a Texinfo manual. If the info and heaptrack_print programs are properly installed at your site, the command

    info heaptrack_print

should give you access to the complete manual.